Subject: modssl/pkg.contrib

From: Frank Liu <[email-masked]>
Date: Thu, 6 Feb 2003 17:14:16 -0800 (PST)

sorry, somehow I cut/paste the wrong email address and sent
the following to the announce list.
frank

---------- Forwarded message ----------
Date: Thu, 6 Feb 2003 16:56:54 -0800 (PST)
From: Frank Liu <[email-masked]>
To: [email-masked]
Subject: modssl/pkg.contrib

I am trying to use modssl/pkg.contrib to sign my own certificate.
It has been working fine. recently I found I could NOT re-sign
the CSR from the same URL.
eg: I generated a CSR for www.test.mydomain.com and same it in z.csr
./sign.sh z.csr    works fine.
after a few weeks, I deleted and re-installed the webserver
for www.test.mydomain.com, and a new z.csr was generated for
the new installation.
./sign.sh z.csr
...
Sign the certificate? [y/n]:y
failed to update database
TXT_DB error number 2
CA verifying: z.crt <-> CA cert
unable to load certificate
5835:error:0906D06C:PEM routines:PEM_read_bio:no start
line:pem_lib.c:632:Expecting: TRUSTED CERTIFICATE

$ openssl version
OpenSSL 0.9.7 31 Dec 2002

Any ideas?

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]